<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxAnimation (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxAnimation (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxAnimation.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.swing.util</a></div>
<h2 title="Class mxAnimation" class="title">Class mxAnimation</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">hk.quantr.mxgraph.util.mxEventSource</a></li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.swing.util.mxAnimation</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="mxMorphing.html" title="class in hk.quantr.mxgraph.swing.util">mxMorphing</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">mxAnimation</span>
extends <a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></pre>
<div class="block">Baseclass for all timer-based animations. Fires mxEvent.DONE when the
 stopAnimation method is called. Implement updateAnimation for the
 actual animation or listen to mxEvent.EXECUTE.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#DEFAULT_DELAY">DEFAULT_DELAY</a></span></code></th>
<td class="colLast">
<div class="block">Specifies the default delay for animations in ms.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#delay">delay</a></span></code></th>
<td class="colLast">
<div class="block">Default is DEFAULT_DELAY.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected javax.swing.Timer</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#timer">timer</a></span></code></th>
<td class="colLast">
<div class="block">Time instance that is used for timing the animation.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../../util/mxEventSource.html#eventListeners">eventListeners</a>, <a href="../../util/mxEventSource.html#eventsEnabled">eventsEnabled</a>, <a href="../../util/mxEventSource.html#eventSource">eventSource</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxAnimation</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructs a new animation instance with the given repaint delay.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int)">mxAnimation</a></span>&#8203;(int&nbsp;delay)</code></th>
<td class="colLast">
<div class="block">Constructs a new animation instance with the given repaint delay.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDelay()">getDelay</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the delay for the animation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isRunning()">isRunning</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if the animation is running.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDelay(int)">setDelay</a></span>&#8203;(int&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the delay for the animation.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#startAnimation()">startAnimation</a></span>()</code></th>
<td class="colLast">
<div class="block">Starts the animation by repeatedly invoking updateAnimation.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#stopAnimation()">stopAnimation</a></span>()</code></th>
<td class="colLast">
<div class="block">Stops the animation by deleting the timer and fires mxEvent.DONE.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateAnimation()">updateAnimation</a></span>()</code></th>
<td class="colLast">
<div class="block">Hook for subclassers to implement the animation.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../../util/mxEventSource.html#addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">addListener</a>, <a href="../../util/mxEventSource.html#fireEvent(hk.quantr.mxgraph.util.mxEventObject)">fireEvent</a>, <a href="../../util/mxEventSource.html#fireEvent(hk.quantr.mxgraph.util.mxEventObject,java.lang.Object)">fireEvent</a>, <a href="../../util/mxEventSource.html#getEventSource()">getEventSource</a>, <a href="../../util/mxEventSource.html#isEventsEnabled()">isEventsEnabled</a>, <a href="../../util/mxEventSource.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">removeListener</a>, <a href="../../util/mxEventSource.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">removeListener</a>, <a href="../../util/mxEventSource.html#setEventsEnabled(boolean)">setEventsEnabled</a>, <a href="../../util/mxEventSource.html#setEventSource(java.lang.Object)">setEventSource</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="DEFAULT_DELAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_DELAY</h4>
<pre>public static&nbsp;int DEFAULT_DELAY</pre>
<div class="block">Specifies the default delay for animations in ms. Default is 20.</div>
</li>
</ul>
<a id="delay">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>delay</h4>
<pre>protected&nbsp;int delay</pre>
<div class="block">Default is DEFAULT_DELAY.</div>
</li>
</ul>
<a id="timer">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>timer</h4>
<pre>protected&nbsp;javax.swing.Timer timer</pre>
<div class="block">Time instance that is used for timing the animation.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mxAnimation</h4>
<pre>public&nbsp;mxAnimation()</pre>
<div class="block">Constructs a new animation instance with the given repaint delay.</div>
</li>
</ul>
<a id="&lt;init&gt;(int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxAnimation</h4>
<pre>public&nbsp;mxAnimation&#8203;(int&nbsp;delay)</pre>
<div class="block">Constructs a new animation instance with the given repaint delay.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getDelay()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDelay</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getDelay()</pre>
<div class="block">Returns the delay for the animation.</div>
</li>
</ul>
<a id="setDelay(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDelay</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDelay&#8203;(int&nbsp;value)</pre>
<div class="block">Sets the delay for the animation.</div>
</li>
</ul>
<a id="isRunning()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRunning</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isRunning()</pre>
<div class="block">Returns true if the animation is running.</div>
</li>
</ul>
<a id="startAnimation()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startAnimation</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;startAnimation()</pre>
<div class="block">Starts the animation by repeatedly invoking updateAnimation.</div>
</li>
</ul>
<a id="updateAnimation()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateAnimation</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;updateAnimation()</pre>
<div class="block">Hook for subclassers to implement the animation. Invoke stopAnimation
 when finished, startAnimation to resume. This is called whenever the
 timer fires and fires an mxEvent.EXECUTE event with no properties.</div>
</li>
</ul>
<a id="stopAnimation()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>stopAnimation</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;stopAnimation()</pre>
<div class="block">Stops the animation by deleting the timer and fires mxEvent.DONE.</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxAnimation.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
